CS::Utility::InternalRefCount Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Utility::InternalRefCount Class Reference

This class is used to hold a reference count seperate to the normal one. More...

`#include <csutil/refcount.h>`

Inheritance diagram for CS::Utility::InternalRefCount:

List of all members.

## Public Member Functions
int | GetInternalRefCount () const
| Get the reference count (only for debugging).
void | InternalDecRef ()
| Decrease the number of internal references to this object.
void | InternalIncRef ()
| Increase the number of internal references to this object.
| InternalRefCount ()
| Initialize object and set internal references to 0.

## Detailed Description

This class is used to hold a reference count seperate to the normal one.

It allows the tracking of 'internal' references (such as those held by a collection), and the execution of some action when the ref count decrements to 0.

Definition at line 155 of file refcount.h.

## Constructor & Destructor Documentation

CS::Utility::InternalRefCount::InternalRefCount | ( |  | ) | `[inline]`

Initialize object and set internal references to 0.

Definition at line 170 of file refcount.h.

## Member Function Documentation

int CS::Utility::InternalRefCount::GetInternalRefCount | ( |  | ) | const`[inline]`

Get the reference count (only for debugging).

Definition at line 194 of file refcount.h.

void CS::Utility::InternalRefCount::InternalDecRef | ( |  | ) | `[inline]`

Decrease the number of internal references to this object.

Definition at line 183 of file refcount.h.

void CS::Utility::InternalRefCount::InternalIncRef | ( |  | ) | `[inline]`

Increase the number of internal references to this object.

Definition at line 176 of file refcount.h.

The documentation for this class was generated from the following file:

- csutil/refcount.h